<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: refactor-powertrain-controls.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('refactor-powertrain-controls_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">refactor-powertrain-controls.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;clang/ASTMatchers/ASTMatchers.h&quot;</code><br />
<code>#include &quot;clang/ASTMatchers/ASTMatchFinder.h&quot;</code><br />
<code>#include &quot;clang/Basic/SourceManager.h&quot;</code><br />
<code>#include &quot;clang/Frontend/FrontendActions.h&quot;</code><br />
<code>#include &quot;clang/Lex/Lexer.h&quot;</code><br />
<code>#include &quot;clang/Tooling/Refactoring.h&quot;</code><br />
<code>#include &quot;clang/Tooling/Tooling.h&quot;</code><br />
<code>#include &quot;llvm/ADT/Twine.h&quot;</code><br />
<code>#include &quot;clang/Tooling/CommonOptionsParser.h&quot;</code><br />
<code>#include &quot;llvm/Support/CommandLine.h&quot;</code><br />
<code>#include &quot;llvm/Support/MemoryBuffer.h&quot;</code><br />
<code>#include &quot;llvm/Support/Path.h&quot;</code><br />
<code>#include &quot;llvm/Support/raw_ostream.h&quot;</code><br />
<code>#include &quot;llvm/Support/FileSystem.h&quot;</code><br />
<code>#include &quot;<a class="el" href="refactor-powertrain-matchers_8h_source.html">refactor-powertrain-matchers.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_match_process_body_8h_source.html">MatchProcessBody.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_match_global_var_refs_8h_source.html">MatchGlobalVarRefs.h</a>&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;dirent.h&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
<code>#include &lt;mongocxx/client.hpp&gt;</code><br />
<code>#include &lt;mongocxx/instance.hpp&gt;</code><br />
<code>#include &lt;mongocxx/uri.hpp&gt;</code><br />
<code>#include &lt;<a class="el" href="postgres_interface_8hpp_source.html">postgresInterface.hpp</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="search_path_utilities_8hpp_source.html">searchPathUtilities.hpp</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_flatten_a_s_a_m_m_d_xxml_8hpp_source.html">FlattenASAMMDXxml.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="get_function_decls_as_o_s_processes_8hpp_source.html">getFunctionDeclsAsOSProcesses.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="create_recursive_funct_matchers_8hpp_source.html">createRecursiveFunctMatchers.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="get_defines_in_data_file_8hpp_source.html">getDefinesInDataFile.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="recursive_hierarch_search_8hpp_source.html">recursiveHierarchSearch.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="get_decl_context_and_decls_8hpp_source.html">getDeclContextAndDecls.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="create_interface_variables_8hpp_source.html">createInterfaceVariables.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="create_calibration_structs_8hpp_source.html">createCalibrationStructs.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="create_compu_methods_8hpp_source.html">createCompuMethods.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="create_system_consts_8hpp_source.html">createSystemConsts.hpp</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="resolve_interface_variables_8hpp_source.html">resolveInterfaceVariables.hpp</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_decl_ref_expr_proc_8h_source.html">DeclRefExprProc.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_stmt_proc_dispatcher_8h_source.html">StmtProcDispatcher.h</a>&quot;</code><br />
<code>#include &lt;thread&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_arte_fact_check__type.html">ArteFactCheck_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ac6da05ddc18301888ad57b253d783612"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#ac6da05ddc18301888ad57b253d783612">ClangToolsType</a></td></tr>
<tr class="separator:ac6da05ddc18301888ad57b253d783612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cf75803af7426f05f2d4ebc2b6118c8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a4cf75803af7426f05f2d4ebc2b6118c8">ClangRefactoringMatchersType</a></td></tr>
<tr class="separator:a4cf75803af7426f05f2d4ebc2b6118c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9396de8135028b19da1bfde91e1852b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#aa9396de8135028b19da1bfde91e1852b">bsoncxxType</a></td></tr>
<tr class="separator:aa9396de8135028b19da1bfde91e1852b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66ebd5f015f9e87b10ae2217f178c149"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a66ebd5f015f9e87b10ae2217f178c149">mongocxxType</a></td></tr>
<tr class="separator:a66ebd5f015f9e87b10ae2217f178c149"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2a3f98959ffcc70910d3e16dcc17be7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#af2a3f98959ffcc70910d3e16dcc17be7">postgresSearchesType</a></td></tr>
<tr class="separator:af2a3f98959ffcc70910d3e16dcc17be7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7963ecf4880f2a8174061faaf96e39ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a7963ecf4880f2a8174061faaf96e39ab">PTHUTIL</a></td></tr>
<tr class="separator:a7963ecf4880f2a8174061faaf96e39ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1005bb465930080003dbdcf2ce14266"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#ad1005bb465930080003dbdcf2ce14266">defineRecHierarachSearch</a></td></tr>
<tr class="separator:ad1005bb465930080003dbdcf2ce14266"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac96db0c42064fbaec654f073743addb6"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#ac96db0c42064fbaec654f073743addb6">getUniqueVector</a> (std::vector&lt; std::string &gt; result_vec)</td></tr>
<tr class="separator:ac96db0c42064fbaec654f073743addb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6d3c9853a30bc8a0bfb094e695b610d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#ab6d3c9853a30bc8a0bfb094e695b610d">createBasicNode</a> (bsoncxx::builder::basic::document &amp;doc_ini)</td></tr>
<tr class="separator:ab6d3c9853a30bc8a0bfb094e695b610d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dd3a5d76aa780e750286379c981b8fc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a5dd3a5d76aa780e750286379c981b8fc">createCallExprNode</a> (bsoncxx::document::value &amp;NodeValue, std::string StmtName)</td></tr>
<tr class="separator:a5dd3a5d76aa780e750286379c981b8fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3a60ce3a4581e591ed706a2f8b5161b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#ae3a60ce3a4581e591ed706a2f8b5161b">insertIntoClangDB</a> (std::string StmtName)</td></tr>
<tr class="separator:ae3a60ce3a4581e591ed706a2f8b5161b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a625fec92b5406f7a3d5391184fbeda78"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a625fec92b5406f7a3d5391184fbeda78">PullGlobalStatusIntoLocal</a> (<a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLvlPrp, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a625fec92b5406f7a3d5391184fbeda78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc6754c2abc2fdc1da70dfaaa2ecc850"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#adc6754c2abc2fdc1da70dfaaa2ecc850">InitialBinOpProp</a> (<a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:adc6754c2abc2fdc1da70dfaaa2ecc850"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ff72b2499b59575e71d981e505c3fe7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7">StmtProc</a> (bsoncxx::builder::basic::document &amp;MainNode, Stmt::const_child_iterator &amp;childBeg, Stmt::const_child_iterator &amp;childEnd, const SourceManager &amp;SourceManager, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a1ff72b2499b59575e71d981e505c3fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56f969b573c27479f1190d09f13cfc69"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a56f969b573c27479f1190d09f13cfc69">ProcessFuncDef</a> (const FunctionDecl *FuncDef, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a56f969b573c27479f1190d09f13cfc69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2769bd361a055223291fb5ce308f7d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9">ProcessBody</a> (const FunctionDecl *FuncDef, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:aa2769bd361a055223291fb5ce308f7d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77e228ed2f2681234d409fbf35cc594f"><td class="memItemLeft" align="right" valign="top">cl::opt&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a77e228ed2f2681234d409fbf35cc594f">BuildPath</a> (cl::Positional, cl::desc(&quot;&lt;build-path&gt;&quot;))</td></tr>
<tr class="separator:a77e228ed2f2681234d409fbf35cc594f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4eae395b250c9b2cf83c4a3454de393"><td class="memItemLeft" align="right" valign="top">cl::list&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#ab4eae395b250c9b2cf83c4a3454de393">SourcePaths</a> (cl::Positional, cl::desc(&quot;&lt;source0&gt; [... &lt;sourceN&gt;]&quot;), cl::OneOrMore)</td></tr>
<tr class="separator:ab4eae395b250c9b2cf83c4a3454de393"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f6630082f62113b27a36f1c85d536ff"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a7f6630082f62113b27a36f1c85d536ff">CheckCompleteness</a> (<a class="el" href="struct_arte_fact_check__type.html">ArteFactCheck_type</a> &amp;ArtefactStruct, llvm::StringRef CachePath)</td></tr>
<tr class="separator:a7f6630082f62113b27a36f1c85d536ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd0276fa65d6e39e10653c72733fd8b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#afd0276fa65d6e39e10653c72733fd8b4">createRefactoringTool</a> (std::string basePath, std::vector&lt; std::string &gt; functionNameToMatch_vec)</td></tr>
<tr class="separator:afd0276fa65d6e39e10653c72733fd8b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa948d1873b8bc4f4916febf4f89be48"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#aaa948d1873b8bc4f4916febf4f89be48">compileFuncDefList</a> (std::vector&lt; std::string &gt; file_vec)</td></tr>
<tr class="separator:aaa948d1873b8bc4f4916febf4f89be48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af822c4a218482dc59519d9be782b0fd5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5">loop</a> (int argc, const char **argv)</td></tr>
<tr class="separator:af822c4a218482dc59519d9be782b0fd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a217dbf8b442f20279ea00b898af96f52"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52">main</a> (int argc, const char **argv)</td></tr>
<tr class="separator:a217dbf8b442f20279ea00b898af96f52"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a28df8acc81b383774057c0c0bf887405"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a28df8acc81b383774057c0c0bf887405">StringConstructor</a></td></tr>
<tr class="separator:a28df8acc81b383774057c0c0bf887405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d06d7ad45c170f36aa5c746f544a27a"><td class="memItemLeft" align="right" valign="top">const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a2d06d7ad45c170f36aa5c746f544a27a">StringCStrMethod</a></td></tr>
<tr class="separator:a2d06d7ad45c170f36aa5c746f544a27a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c2966833fdf7dd35c20a2846117f357"><td class="memItemLeft" align="right" valign="top">std::atomic&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="refactor-powertrain-controls_8cpp.html#a1c2966833fdf7dd35c20a2846117f357">stop</a> = {false}</td></tr>
<tr class="separator:a1c2966833fdf7dd35c20a2846117f357"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="aa9396de8135028b19da1bfde91e1852b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9396de8135028b19da1bfde91e1852b">&#9670;&nbsp;</a></span>bsoncxxType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define bsoncxxType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4cf75803af7426f05f2d4ebc2b6118c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cf75803af7426f05f2d4ebc2b6118c8">&#9670;&nbsp;</a></span>ClangRefactoringMatchersType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ClangRefactoringMatchersType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac6da05ddc18301888ad57b253d783612"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6da05ddc18301888ad57b253d783612">&#9670;&nbsp;</a></span>ClangToolsType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ClangToolsType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad1005bb465930080003dbdcf2ce14266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1005bb465930080003dbdcf2ce14266">&#9670;&nbsp;</a></span>defineRecHierarachSearch</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define defineRecHierarachSearch</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a66ebd5f015f9e87b10ae2217f178c149"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a66ebd5f015f9e87b10ae2217f178c149">&#9670;&nbsp;</a></span>mongocxxType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define mongocxxType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af2a3f98959ffcc70910d3e16dcc17be7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2a3f98959ffcc70910d3e16dcc17be7">&#9670;&nbsp;</a></span>postgresSearchesType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define postgresSearchesType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7963ecf4880f2a8174061faaf96e39ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7963ecf4880f2a8174061faaf96e39ab">&#9670;&nbsp;</a></span>PTHUTIL</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PTHUTIL</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a77e228ed2f2681234d409fbf35cc594f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77e228ed2f2681234d409fbf35cc594f">&#9670;&nbsp;</a></span>BuildPath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cl::opt&lt;std::string&gt; BuildPath </td>
          <td>(</td>
          <td class="paramtype">cl::Positional&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cl::desc(&quot;&lt;build-path&gt;&quot;)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f6630082f62113b27a36f1c85d536ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f6630082f62113b27a36f1c85d536ff">&#9670;&nbsp;</a></span>CheckCompleteness()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool CheckCompleteness </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_arte_fact_check__type.html">ArteFactCheck_type</a> &amp;&#160;</td>
          <td class="paramname"><em>ArtefactStruct</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">llvm::StringRef&#160;</td>
          <td class="paramname"><em>CachePath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaa948d1873b8bc4f4916febf4f89be48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa948d1873b8bc4f4916febf4f89be48">&#9670;&nbsp;</a></span>compileFuncDefList()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void compileFuncDefList </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>file_vec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_aaa948d1873b8bc4f4916febf4f89be48_cgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_aaa948d1873b8bc4f4916febf4f89be48_cgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_aaa948d1873b8bc4f4916febf4f89be48_cgraph" id="refactor-powertrain-controls_8cpp_aaa948d1873b8bc4f4916febf4f89be48_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,156,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259" title=" " alt="" coords="204,5,312,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_aaa948d1873b8bc4f4916febf4f89be48_icgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_aaa948d1873b8bc4f4916febf4f89be48_icgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_aaa948d1873b8bc4f4916febf4f89be48_icgraph" id="refactor-powertrain-controls_8cpp_aaa948d1873b8bc4f4916febf4f89be48_icgraph">
<area shape="rect" title=" " alt="" coords="207,5,357,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="ab6d3c9853a30bc8a0bfb094e695b610d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6d3c9853a30bc8a0bfb094e695b610d">&#9670;&nbsp;</a></span>createBasicNode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool createBasicNode </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>doc_ini</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_ab6d3c9853a30bc8a0bfb094e695b610d_icgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_ab6d3c9853a30bc8a0bfb094e695b610d_icgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_ab6d3c9853a30bc8a0bfb094e695b610d_icgraph" id="refactor-powertrain-controls_8cpp_ab6d3c9853a30bc8a0bfb094e695b610d_icgraph">
<area shape="rect" title=" " alt="" coords="193,5,325,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#ae3a60ce3a4581e591ed706a2f8b5161b" title=" " alt="" coords="5,5,145,32"/>
</map>
</div>

</div>
</div>
<a id="a5dd3a5d76aa780e750286379c981b8fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dd3a5d76aa780e750286379c981b8fc">&#9670;&nbsp;</a></span>createCallExprNode()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool createCallExprNode </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::document::value &amp;&#160;</td>
          <td class="paramname"><em>NodeValue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>StmtName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_a5dd3a5d76aa780e750286379c981b8fc_icgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_a5dd3a5d76aa780e750286379c981b8fc_icgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_a5dd3a5d76aa780e750286379c981b8fc_icgraph" id="refactor-powertrain-controls_8cpp_a5dd3a5d76aa780e750286379c981b8fc_icgraph">
<area shape="rect" title=" " alt="" coords="193,5,344,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#ae3a60ce3a4581e591ed706a2f8b5161b" title=" " alt="" coords="5,5,145,32"/>
</map>
</div>

</div>
</div>
<a id="afd0276fa65d6e39e10653c72733fd8b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd0276fa65d6e39e10653c72733fd8b4">&#9670;&nbsp;</a></span>createRefactoringTool()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createRefactoringTool </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>basePath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>functionNameToMatch_vec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_afd0276fa65d6e39e10653c72733fd8b4_cgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_afd0276fa65d6e39e10653c72733fd8b4_cgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_afd0276fa65d6e39e10653c72733fd8b4_cgraph" id="refactor-powertrain-controls_8cpp_afd0276fa65d6e39e10653c72733fd8b4_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,169,32"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259" title=" " alt="" coords="217,5,325,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_afd0276fa65d6e39e10653c72733fd8b4_icgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_afd0276fa65d6e39e10653c72733fd8b4_icgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_afd0276fa65d6e39e10653c72733fd8b4_icgraph" id="refactor-powertrain-controls_8cpp_afd0276fa65d6e39e10653c72733fd8b4_icgraph">
<area shape="rect" title=" " alt="" coords="207,5,371,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="ac96db0c42064fbaec654f073743addb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac96db0c42064fbaec654f073743addb6">&#9670;&nbsp;</a></span>getUniqueVector()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; getUniqueVector </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>result_vec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc6754c2abc2fdc1da70dfaaa2ecc850"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc6754c2abc2fdc1da70dfaaa2ecc850">&#9670;&nbsp;</a></span>InitialBinOpProp()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InitialBinOpProp </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae3a60ce3a4581e591ed706a2f8b5161b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3a60ce3a4581e591ed706a2f8b5161b">&#9670;&nbsp;</a></span>insertIntoClangDB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool insertIntoClangDB </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>StmtName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_ae3a60ce3a4581e591ed706a2f8b5161b_cgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_ae3a60ce3a4581e591ed706a2f8b5161b_cgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_ae3a60ce3a4581e591ed706a2f8b5161b_cgraph" id="refactor-powertrain-controls_8cpp_ae3a60ce3a4581e591ed706a2f8b5161b_cgraph">
<area shape="rect" title=" " alt="" coords="5,56,145,83"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#ab6d3c9853a30bc8a0bfb094e695b610d" title=" " alt="" coords="215,5,347,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a5dd3a5d76aa780e750286379c981b8fc" title=" " alt="" coords="205,56,356,83"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="193,107,368,133"/>
</map>
</div>

</div>
</div>
<a id="af822c4a218482dc59519d9be782b0fd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af822c4a218482dc59519d9be782b0fd5">&#9670;&nbsp;</a></span>loop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void loop </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_af822c4a218482dc59519d9be782b0fd5_cgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_af822c4a218482dc59519d9be782b0fd5_cgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_af822c4a218482dc59519d9be782b0fd5_cgraph" id="refactor-powertrain-controls_8cpp_af822c4a218482dc59519d9be782b0fd5_cgraph">
<area shape="rect" title=" " alt="" coords="5,360,56,387"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aaa948d1873b8bc4f4916febf4f89be48" title=" " alt="" coords="133,107,283,133"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html#a12397f1e741b5a9fa98a758126c1f1bf" title=" " alt="" coords="104,56,312,83"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html#ad6c6ed9a638cba79704c0ef16090bf30" title=" " alt="" coords="132,537,284,564"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="976,664,1085,691"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#afd0276fa65d6e39e10653c72733fd8b4" title=" " alt="" coords="126,5,290,32"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="127,411,289,437"/>
<area shape="rect" href="postgres_interface_8hpp.html#a04ff0f05467fdbf12c44aee405f98832" title=" " alt="" coords="391,360,563,387"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="129,208,287,235"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b" title=" " alt="" coords="388,56,567,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="973,1145,1089,1172"/>
<area shape="rect" href="postgres_interface_8hpp.html#abb99b0e2add80b662e70fc70543569d8" title=" " alt="" coords="106,968,310,995"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="111,917,305,944"/>
<area shape="rect" href="postgres_interface_8hpp.html#a22bf88c65162eca678164da7ba7536d6" title=" " alt="" coords="105,1373,311,1400"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259" title=" " alt="" coords="423,5,531,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="417,487,537,513"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a6f1279cdeb2de73176b7a0cacd05d5ba" title=" " alt="" coords="413,411,541,437"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="671,512,831,539"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a31ae7c111f6f573afd5fa501dad5eae5" title=" " alt="" coords="680,360,823,387"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#af6f8a613735677bcd27d169e64a2bacb" title=" " alt="" coords="685,411,817,437"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#aecf48ba4ea77ffdbcb4d6b2432891d21" title=" " alt="" coords="678,461,825,488"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="943,309,1118,336"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7" title=" " alt="" coords="400,157,555,184"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a22aa9d16f96c6693a4997b3c37d9c134" title=" " alt="" coords="360,107,595,133"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="1201,740,1296,767"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="381,917,573,944"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="387,1272,568,1299"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef" title="End evaluation loop for SW VARIABLE object." alt="" coords="697,1069,806,1096"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ad82db89c96de956ce021bd209fb3782b" title=" " alt="" coords="394,1221,561,1248"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ae30d3b8d9e69135cca204a7616e4735a" title=" " alt="" coords="680,867,823,893"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="644,968,859,995"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="989,1069,1072,1096"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae01709f428082a54dabe6a9f595e311d" title=" " alt="" coords="643,765,860,792"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b" title=" " alt="" coords="985,867,1076,893"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ab7ae30ead392394a78f8717caaadce06" title=" " alt="" coords="908,917,1153,944"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9" title=" " alt="" coords="947,968,1114,995"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a4d1579f8bddd828c1462e8156bfafad9" title=" " alt="" coords="981,1019,1080,1045"/>
<area shape="rect" href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0" title=" " alt="" coords="669,1272,833,1299"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a3a607a94b734cf0e9d611120a0e5d379" title=" " alt="" coords="665,816,838,843"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db" title=" " alt="" coords="645,1373,858,1400"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="668,1475,835,1501"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c" title=" " alt="" coords="695,1424,808,1451"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="919,1424,1142,1451"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f" title=" " alt="" coords="925,1373,1136,1400"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747" title=" " alt="" coords="1213,1424,1285,1451"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a35040d624bbaf96a0baf54d0fffd1f8b" title=" " alt="" coords="948,1475,1113,1501"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_af822c4a218482dc59519d9be782b0fd5_icgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_af822c4a218482dc59519d9be782b0fd5_icgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_af822c4a218482dc59519d9be782b0fd5_icgraph" id="refactor-powertrain-controls_8cpp_af822c4a218482dc59519d9be782b0fd5_icgraph">
<area shape="rect" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a217dbf8b442f20279ea00b898af96f52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a217dbf8b442f20279ea00b898af96f52">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_a217dbf8b442f20279ea00b898af96f52_cgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_a217dbf8b442f20279ea00b898af96f52_cgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_a217dbf8b442f20279ea00b898af96f52_cgraph" id="refactor-powertrain-controls_8cpp_a217dbf8b442f20279ea00b898af96f52_cgraph">
<area shape="rect" title=" " alt="" coords="5,1221,60,1248"/>
<area shape="rect" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1" title=" " alt="" coords="520,1323,640,1349"/>
<area shape="rect" href="postgres_interface_8hpp.html#abb99b0e2add80b662e70fc70543569d8" title=" " alt="" coords="209,5,413,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1046,1399,1221,1425"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,1044,159,1071"/>
<area shape="rect" href="postgres_interface_8hpp.html#a7ca537dcf4e9574d8db3d2794d5ffb4c" title=" " alt="" coords="774,1323,934,1349"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aaa948d1873b8bc4f4916febf4f89be48" title=" " alt="" coords="235,1019,386,1045"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html#a12397f1e741b5a9fa98a758126c1f1bf" title=" " alt="" coords="207,1069,415,1096"/>
<area shape="rect" href="create_recursive_funct_matchers_8hpp.html#ad6c6ed9a638cba79704c0ef16090bf30" title=" " alt="" coords="235,867,387,893"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1079,867,1188,893"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#afd0276fa65d6e39e10653c72733fd8b4" title=" " alt="" coords="229,1120,393,1147"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a41eefa0f417a930ad5a27102a9575fef" title=" " alt="" coords="230,1272,391,1299"/>
<area shape="rect" href="postgres_interface_8hpp.html#a04ff0f05467fdbf12c44aee405f98832" title=" " alt="" coords="494,1424,666,1451"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7" title=" " alt="" coords="231,1221,390,1248"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b" title=" " alt="" coords="491,1069,669,1096"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1075,157,1191,184"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="213,549,408,576"/>
<area shape="rect" href="postgres_interface_8hpp.html#a22bf88c65162eca678164da7ba7536d6" title=" " alt="" coords="207,968,414,995"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259" title=" " alt="" coords="526,1019,634,1045"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a6f1279cdeb2de73176b7a0cacd05d5ba" title=" " alt="" coords="516,1373,644,1400"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#a31ae7c111f6f573afd5fa501dad5eae5" title=" " alt="" coords="783,1424,925,1451"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#af6f8a613735677bcd27d169e64a2bacb" title=" " alt="" coords="788,1475,920,1501"/>
<area shape="rect" href="_flatten_a_s_a_m_m_d_xxml_8hpp.html#aecf48ba4ea77ffdbcb4d6b2432891d21" title=" " alt="" coords="781,1373,927,1400"/>
<area shape="rect" href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7" title=" " alt="" coords="503,1272,657,1299"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a22aa9d16f96c6693a4997b3c37d9c134" title=" " alt="" coords="463,1171,697,1197"/>
<area shape="rect" href="search_path_utilities_8hpp.html#ac3caf8cc2926982436bf403dc2acec8a" title=" " alt="" coords="1304,828,1399,855"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="484,360,676,387"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="489,588,671,615"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef" title="End evaluation loop for SW VARIABLE object." alt="" coords="799,411,909,437"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ad82db89c96de956ce021bd209fb3782b" title=" " alt="" coords="497,309,663,336"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ae30d3b8d9e69135cca204a7616e4735a" title=" " alt="" coords="783,461,925,488"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="747,259,961,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="1092,360,1175,387"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae01709f428082a54dabe6a9f595e311d" title=" " alt="" coords="745,360,963,387"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a53d02df1713071578c4b6a030269739b" title=" " alt="" coords="1088,461,1179,488"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ab7ae30ead392394a78f8717caaadce06" title=" " alt="" coords="1011,259,1256,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9" title=" " alt="" coords="1050,309,1217,336"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a4d1579f8bddd828c1462e8156bfafad9" title=" " alt="" coords="1084,208,1183,235"/>
<area shape="rect" href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0" title=" " alt="" coords="772,715,936,741"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a3a607a94b734cf0e9d611120a0e5d379" title=" " alt="" coords="767,816,941,843"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a2d2bb888b17259ef2c9d363504c742db" title=" " alt="" coords="747,563,961,589"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a3a886e5cb3ce1bb6064aeac57f547f72" title=" " alt="" coords="771,512,937,539"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a8053480525c9fdca9d9feabaf252b90c" title=" " alt="" coords="797,613,911,640"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a5b17eb6620c1c79a216b45cb08364b20" title=" " alt="" coords="1022,563,1245,589"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a7ea64e50cd40d9c0b921a481e718740f" title=" " alt="" coords="1028,613,1239,640"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a4f05a8edd34e9bcd7e5ad6574dfb1747" title=" " alt="" coords="1315,563,1387,589"/>
<area shape="rect" href="search_path_utilities_8hpp.html#a35040d624bbaf96a0baf54d0fffd1f8b" title=" " alt="" coords="1051,512,1216,539"/>
</map>
</div>

</div>
</div>
<a id="aa2769bd361a055223291fb5ce308f7d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2769bd361a055223291fb5ce308f7d9">&#9670;&nbsp;</a></span>ProcessBody()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ProcessBody </td>
          <td>(</td>
          <td class="paramtype">const FunctionDecl *&#160;</td>
          <td class="paramname"><em>FuncDef</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_aa2769bd361a055223291fb5ce308f7d9_cgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_aa2769bd361a055223291fb5ce308f7d9_cgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_aa2769bd361a055223291fb5ce308f7d9_cgraph" id="refactor-powertrain-controls_8cpp_aa2769bd361a055223291fb5ce308f7d9_cgraph">
<area shape="rect" title=" " alt="" coords="5,1083,111,1110"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1247,1007,1357,1034"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,551,265,578"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,1083,289,1110"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,551,473,578"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1215,703,1389,730"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a17e632ef425d71c14e55c2e5f11eb827" title=" " alt="" coords="542,70,691,97"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="565,1033,669,1059"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0fc130806db0baa658969dbbd9a76566" title=" " alt="" coords="563,931,671,958"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a525fc8516c619ae83939e43b328ddc41" title=" " alt="" coords="539,982,694,1009"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa3fbe79687b97727408239ea329424b8" title=" " alt="" coords="536,121,697,147"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="551,678,682,705"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="573,729,660,755"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aedc421d4d843891d1c5fa6f349f78819" title=" " alt="" coords="567,171,666,198"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ac4e74b9a8ec63c90b5b76b9bd385b2f9" title=" " alt="" coords="555,222,679,249"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a7aa8f645e442887c3cb75e4185d6c922" title=" " alt="" coords="566,273,667,299"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ab01c0bf06445c519cf834713fef5d47f" title=" " alt="" coords="571,323,662,350"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a78917b982a9452c0cafed9b51491bd51" title=" " alt="" coords="548,425,685,451"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="550,779,683,806"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ade8fb9ab0f90e12ab48ddb14d55de5ee" title=" " alt="" coords="539,475,694,502"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a8132564d2d13a6f01fb970b6daee16d6" title=" " alt="" coords="552,526,681,553"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ab8638bfd78071da2476e12f2be8de2c2" title=" " alt="" coords="549,577,684,603"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a32c73a67da80dca716c3f23936948eb5" title=" " alt="" coords="555,627,679,654"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a59544ecbac44a5f40490d9eeac1722ed" title=" " alt="" coords="543,374,690,401"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a8e8b2b4325c9b4e6b43b31efb0c9f2b9" title=" " alt="" coords="521,830,712,857"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a3ac3e261297050d743bc39b4f4f465e2" title=" " alt="" coords="557,881,676,907"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a388b9fc6ea60fb4bfa6edc5f045be1c2" title=" " alt="" coords="760,273,936,299"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0e65ce125153b2ca1cf2f15aebbf8e8a" title=" " alt="" coords="1037,171,1113,198"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a4a0fdeae588c1b315784a3f8bc5f7596" title=" " alt="" coords="1043,222,1108,249"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0522c4b8fa9228e1b04f1267787a5cb9" title=" " alt="" coords="1028,273,1123,299"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a2f4ffedeed94a6c5b04a851aa9589cfd" title=" " alt="" coords="1032,323,1119,350"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#acfb2d65391a5e499eac62561360b9853" title=" " alt="" coords="1029,374,1121,401"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a71643f0e5c63382ac26d99ca99c7d60c" title=" " alt="" coords="995,425,1155,451"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a8cef443e8858b4c8fd3b7ea01bfd1dd9" title=" " alt="" coords="995,475,1155,502"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ae88ba8885a0a56a809e53a04ad02a059" title=" " alt="" coords="997,526,1154,553"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a14906665cc380fc6f3f33d8e50d978f1" title=" " alt="" coords="984,70,1167,97"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a36ee09d2753d0ffa724879d43a15d592" title=" " alt="" coords="993,121,1157,147"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="788,779,908,806"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a23ba91bd198c0a9232e2020f2e6b795b" title=" " alt="" coords="771,957,925,983"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1247,627,1357,654"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1021,855,1130,882"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1244,830,1360,857"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1017,602,1134,629"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="990,754,1161,781"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1025,906,1125,933"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1233,931,1371,958"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a60b5422a988773261615f529955f7ad4" title=" " alt="" coords="791,602,905,629"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ae9dc0cb00ea65518d5bbc44d9bda3543" title=" " alt="" coords="783,551,913,578"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa93c46f55e1c0b4b9440347a92dd66d5" title=" " alt="" coords="761,374,935,401"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="569,1083,665,1110"/>
</map>
</div>

</div>
</div>
<a id="a56f969b573c27479f1190d09f13cfc69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56f969b573c27479f1190d09f13cfc69">&#9670;&nbsp;</a></span>ProcessFuncDef()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ProcessFuncDef </td>
          <td>(</td>
          <td class="paramtype">const FunctionDecl *&#160;</td>
          <td class="paramname"><em>FuncDef</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Create mongoDB report for any function declarations found in the current translation unit</p>
<p>The data created by this function will be compared to the results of the process list analysis in a later process step. If a declared function is found in the process list any statement inside the function body will be analyzed in later process steps. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">FuncDef</td><td>: pointer on the function declaration object </td></tr>
    <tr><td class="paramname">SourceManager</td><td>: reference on the source manager object of this translation unit </td></tr>
  </table>
  </dd>
</dl>
<dl class="section attention"><dt>Attention</dt><dd>the MongoDB report always expects a database "test" and a collection "FunctionDefs" to store the report </dd></dl>
<p>The report is generated if the body statement of the function declaration exists =&gt; the function is defined in this translation unit</p>
<p>The name of the function is stored in a database called "test". The collection in the database is called "FunctionDefs".</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_a56f969b573c27479f1190d09f13cfc69_cgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_a56f969b573c27479f1190d09f13cfc69_cgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_a56f969b573c27479f1190d09f13cfc69_cgraph" id="refactor-powertrain-controls_8cpp_a56f969b573c27479f1190d09f13cfc69_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,131,32"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="179,5,353,32"/>
</map>
</div>

</div>
</div>
<a id="a625fec92b5406f7a3d5391184fbeda78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a625fec92b5406f7a3d5391184fbeda78">&#9670;&nbsp;</a></span>PullGlobalStatusIntoLocal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PullGlobalStatusIntoLocal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLvlPrp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab4eae395b250c9b2cf83c4a3454de393"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4eae395b250c9b2cf83c4a3454de393">&#9670;&nbsp;</a></span>SourcePaths()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cl::list&lt;std::string&gt; SourcePaths </td>
          <td>(</td>
          <td class="paramtype">cl::Positional&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cl::desc(&quot;&lt;source0&gt; [... &lt;sourceN&gt;]&quot;)&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">cl::OneOrMore&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ff72b2499b59575e71d981e505c3fe7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ff72b2499b59575e71d981e505c3fe7">&#9670;&nbsp;</a></span>StmtProc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StmtProc </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>MainNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Stmt::const_child_iterator &amp;&#160;</td>
          <td class="paramname"><em>childBeg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Stmt::const_child_iterator &amp;&#160;</td>
          <td class="paramname"><em>childEnd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Extracting the MainNode moves all node properties to the receiving node. MainNod is emptied and can be filled with content newly</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_a1ff72b2499b59575e71d981e505c3fe7_cgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_a1ff72b2499b59575e71d981e505c3fe7_cgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_a1ff72b2499b59575e71d981e505c3fe7_cgraph" id="refactor-powertrain-controls_8cpp_a1ff72b2499b59575e71d981e505c3fe7_cgraph">
<area shape="rect" title=" " alt="" coords="5,268,87,295"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="135,521,271,548"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="785,15,960,41"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a17e632ef425d71c14e55c2e5f11eb827" title=" " alt="" coords="339,521,489,548"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="362,319,466,345"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0fc130806db0baa658969dbbd9a76566" title=" " alt="" coords="360,572,468,599"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a525fc8516c619ae83939e43b328ddc41" title=" " alt="" coords="337,623,491,649"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa3fbe79687b97727408239ea329424b8" title=" " alt="" coords="333,673,495,700"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="349,116,479,143"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="371,167,457,193"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aedc421d4d843891d1c5fa6f349f78819" title=" " alt="" coords="365,724,463,751"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ac4e74b9a8ec63c90b5b76b9bd385b2f9" title=" " alt="" coords="352,775,476,801"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a7aa8f645e442887c3cb75e4185d6c922" title=" " alt="" coords="363,825,465,852"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ab01c0bf06445c519cf834713fef5d47f" title=" " alt="" coords="369,876,459,903"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a78917b982a9452c0cafed9b51491bd51" title=" " alt="" coords="345,927,483,953"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="347,268,481,295"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ade8fb9ab0f90e12ab48ddb14d55de5ee" title=" " alt="" coords="337,977,491,1004"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a8132564d2d13a6f01fb970b6daee16d6" title=" " alt="" coords="349,1028,479,1055"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ab8638bfd78071da2476e12f2be8de2c2" title=" " alt="" coords="347,65,481,92"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a32c73a67da80dca716c3f23936948eb5" title=" " alt="" coords="352,217,476,244"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a59544ecbac44a5f40490d9eeac1722ed" title=" " alt="" coords="341,369,487,396"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a8e8b2b4325c9b4e6b43b31efb0c9f2b9" title=" " alt="" coords="319,420,509,447"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a3ac3e261297050d743bc39b4f4f465e2" title=" " alt="" coords="355,471,473,497"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a388b9fc6ea60fb4bfa6edc5f045be1c2" title=" " alt="" coords="557,547,733,573"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0e65ce125153b2ca1cf2f15aebbf8e8a" title=" " alt="" coords="835,167,911,193"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a4a0fdeae588c1b315784a3f8bc5f7596" title=" " alt="" coords="840,217,905,244"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0522c4b8fa9228e1b04f1267787a5cb9" title=" " alt="" coords="825,268,920,295"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a2f4ffedeed94a6c5b04a851aa9589cfd" title=" " alt="" coords="829,319,916,345"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#acfb2d65391a5e499eac62561360b9853" title=" " alt="" coords="827,369,919,396"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a71643f0e5c63382ac26d99ca99c7d60c" title=" " alt="" coords="793,420,953,447"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a8cef443e8858b4c8fd3b7ea01bfd1dd9" title=" " alt="" coords="793,471,953,497"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ae88ba8885a0a56a809e53a04ad02a059" title=" " alt="" coords="794,521,951,548"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a14906665cc380fc6f3f33d8e50d978f1" title=" " alt="" coords="781,572,964,599"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a36ee09d2753d0ffa724879d43a15d592" title=" " alt="" coords="791,623,955,649"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa2f977bbd98d0999bd8404a69246a36c" title=" " alt="" coords="797,673,948,700"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a6c7eba355065dc8a67c933c2852ff26f" title=" " alt="" coords="795,724,950,751"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ac3b384349c55d0572c92fe4c2151a80a" title=" " alt="" coords="795,775,951,801"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aeb78dececa1114a07d31d305d581cb54" title=" " alt="" coords="793,825,952,852"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a96f7b2d18575a580ba7c17351a9810c3" title=" " alt="" coords="794,876,951,903"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a26f01a325973b9a02726edb60851e9f9" title=" " alt="" coords="836,927,909,953"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a277f7b550b9c6f9aec25c182fdfd2ea1" title=" " alt="" coords="835,977,910,1004"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a655be45c85addf698e3fda6354592bf5" title=" " alt="" coords="843,1028,902,1055"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5699a9061e7653c8e4905598dbf3f0c7" title=" " alt="" coords="821,1079,924,1105"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ac9b9f3721a1d42ecc5bfccc1a05da8b5" title=" " alt="" coords="795,65,950,92"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#af2e4543f6e8c940baa9e0819b49dc877" title=" " alt="" coords="827,116,919,143"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="585,167,705,193"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a23ba91bd198c0a9232e2020f2e6b795b" title=" " alt="" coords="568,268,723,295"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a60b5422a988773261615f529955f7ad4" title=" " alt="" coords="589,65,702,92"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#ae9dc0cb00ea65518d5bbc44d9bda3543" title=" " alt="" coords="581,116,710,143"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa93c46f55e1c0b4b9440347a92dd66d5" title=" " alt="" coords="559,369,732,396"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="refactor-powertrain-controls_8cpp_a1ff72b2499b59575e71d981e505c3fe7_icgraph.png" border="0" usemap="#refactor-powertrain-controls_8cpp_a1ff72b2499b59575e71d981e505c3fe7_icgraph" alt=""/></div>
<map name="refactor-powertrain-controls_8cpp_a1ff72b2499b59575e71d981e505c3fe7_icgraph" id="refactor-powertrain-controls_8cpp_a1ff72b2499b59575e71d981e505c3fe7_icgraph">
<area shape="rect" title=" " alt="" coords="159,5,240,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,5,111,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a1c2966833fdf7dd35c20a2846117f357"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c2966833fdf7dd35c20a2846117f357">&#9670;&nbsp;</a></span>stop</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::atomic&lt;bool&gt; stop = {false}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a28df8acc81b383774057c0c0bf887405"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28df8acc81b383774057c0c0bf887405">&#9670;&nbsp;</a></span>StringConstructor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* StringConstructor</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div>
<div class="line">    <span class="stringliteral">&quot;::std::basic_string&lt;char, std::char_traits&lt;char&gt;, std::allocator&lt;char&gt; &gt;&quot;</span></div>
<div class="line">    <span class="stringliteral">&quot;::basic_string&quot;</span></div>
</div><!-- fragment -->
</div>
</div>
<a id="a2d06d7ad45c170f36aa5c746f544a27a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d06d7ad45c170f36aa5c746f544a27a">&#9670;&nbsp;</a></span>StringCStrMethod</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* StringCStrMethod</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div>
<div class="line">    <span class="stringliteral">&quot;::std::basic_string&lt;char, std::char_traits&lt;char&gt;, std::allocator&lt;char&gt; &gt;&quot;</span></div>
<div class="line">    <span class="stringliteral">&quot;::c_str&quot;</span></div>
</div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="refactor-powertrain-controls_8cpp.html">refactor-powertrain-controls.cpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
